{
  "model": {
    "type": "minecraft:select",
    "cases": [
      {
        "model": {
          "type": "minecraft:composite",
          "models": [
            {
              "type": "minecraft:range_dispatch",
              "property": "minecraft:custom_model_data",
              "index": 0,
              "entries": [
                {
                  "threshold": 0,
                  "model": {
                    "type": "minecraft:model",
                    "model": "overlyrealistic:item/modular_helmet_worn/leather_helmet/layer_0_0",
                    "tints": [
                      {
                        "type": "minecraft:dye",
                        "default": -6265536
                      }
                    ]
                  }
                },
                {
                  "threshold": 1,
                  "model": {
                    "type": "minecraft:model",
                    "model": "overlyrealistic:item/modular_helmet_worn/leather_helmet/layer_0_1",
                    "tints": [
                      {
                        "type": "minecraft:dye",
                        "default": -6265536
                      }
                    ]
                  }
                }
              ],
              "fallback": {
                "type": "model",
                "model": "overlyrealistic:item/armor_pieces/empty"
              }
            },
            {
              "type": "minecraft:range_dispatch",
              "property": "minecraft:custom_model_data",
              "index": 0,
              "entries": [
                {
                  "threshold": 0,
                  "model": {
                    "type": "minecraft:model",
                    "model": "overlyrealistic:item/modular_helmet_worn/leather_helmet/overlay_0"
                  }
                },
                {
                  "threshold": 1,
                  "model": {
                    "type": "minecraft:model",
                    "model": "overlyrealistic:item/modular_helmet_worn/leather_helmet/overlay_1"
                  }
                }
              ],
              "fallback": {
                "type": "model",
                "model": "overlyrealistic:item/armor_pieces/empty"
              }
            }
          ]
        },
        "when": [
          "head"
        ]
      }
    ],
    "fallback": {
      "type": "minecraft:composite",
      "models": [
        {
          "type": "minecraft:range_dispatch",
          "property": "minecraft:custom_model_data",
          "index": 0,
          "entries": [
            {
              "threshold": 0,
              "model": {
                "type": "minecraft:model",
                "model": "overlyrealistic:item/armor_pieces/leather_helmet/base_0",
                "tints": [
                  {
                    "type": "minecraft:dye",
                    "default": -6265536
                  }
                ]
              }
            },
            {
              "threshold": 1,
              "model": {
                "type": "minecraft:model",
                "model": "overlyrealistic:item/armor_pieces/leather_helmet/base_1",
                "tints": [
                  {
                    "type": "minecraft:dye",
                    "default": -6265536
                  }
                ]
              }
            }
          ],
          "fallback": {
            "type": "model",
            "model": "minecraft:item/leather_helmet"
          }
        },
        {
          "type": "minecraft:range_dispatch",
          "property": "minecraft:custom_model_data",
          "index": 0,
          "entries": [
            {
              "threshold": 0,
              "model": {
                "type": "minecraft:model",
                "model": "overlyrealistic:item/armor_pieces/leather_helmet/overlay_0"
              }
            },
            {
              "threshold": 1,
              "model": {
                "type": "minecraft:model",
                "model": "overlyrealistic:item/armor_pieces/leather_helmet/overlay_0"
              }
            }
          ],
          "fallback": {
            "type": "model",
            "model": "overlyrealistic:item/empty"
          }
        }
      ]
    },
    "property": "minecraft:display_context"
  }
}